English
English
Appearance
English
English
Appearance
https://api.repliz.com/public/storage/file/{fileId}/completeFinalize a file upload after the file has been successfully uploaded to the presigned URL. This marks the file as ready for use.
Authorization: Basic Base64(AccessKey:SecretKey))| Parameter | Type | Required | Description |
|---|---|---|---|
fileId | string | Yes | ID of the file, the id returned by Init File. Call this after the upload to upload has finished. |
curl -X POST "https://api.repliz.com/public/storage/file/680affa5ce12f2f72916f67e/complete" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"import axios from 'axios';
const fileId = '680affa5ce12f2f72916f67e';
const response = await axios.post(
`https://api.repliz.com/public/storage/file/${fileId}/complete`,
{},
{
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY',
},
},
);
console.log(response.data);const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const fileId = '680affa5ce12f2f72916f67e';
const response = await fetch(`https://api.repliz.com/public/storage/file/${fileId}/complete`, {
method: 'POST',
headers: {
Authorization: `Basic ${credentials}`,
},
});
const data = await response.json();
console.log(data);// No content returned on success{
"code": 429,
"message": "upgrade to get more storage"
}{
"code": 401,
"message": "unauthorized"
}